Send a listing
curl --request POST \
--url https://api.signalproptech.com/api/v1/partner/listings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ref": "<string>",
"address": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"postcode": "<string>",
"branch_code": "<string>",
"details": {
"price": {
"amount": 1
},
"bedrooms": 25,
"bathrooms": 25,
"property_type": "<string>",
"floor_area_sqm": 50000,
"available_from": "2023-12-25",
"pets_allowed": true,
"minimum_term_months": 60,
"deposit": {
"amount": 1
}
},
"portal_ids": {
"daft": "<string>",
"myhome": "<string>"
}
}
'import requests
url = "https://api.signalproptech.com/api/v1/partner/listings"
payload = {
"ref": "<string>",
"address": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"postcode": "<string>",
"branch_code": "<string>",
"details": {
"price": { "amount": 1 },
"bedrooms": 25,
"bathrooms": 25,
"property_type": "<string>",
"floor_area_sqm": 50000,
"available_from": "2023-12-25",
"pets_allowed": True,
"minimum_term_months": 60,
"deposit": { "amount": 1 }
},
"portal_ids": {
"daft": "<string>",
"myhome": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ref: '<string>',
address: '<string>',
updated_at: '2023-11-07T05:31:56Z',
postcode: '<string>',
branch_code: '<string>',
details: {
price: {amount: 1},
bedrooms: 25,
bathrooms: 25,
property_type: '<string>',
floor_area_sqm: 50000,
available_from: '2023-12-25',
pets_allowed: true,
minimum_term_months: 60,
deposit: {amount: 1}
},
portal_ids: {daft: '<string>', myhome: '<string>'}
})
};
fetch('https://api.signalproptech.com/api/v1/partner/listings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.signalproptech.com/api/v1/partner/listings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ref' => '<string>',
'address' => '<string>',
'updated_at' => '2023-11-07T05:31:56Z',
'postcode' => '<string>',
'branch_code' => '<string>',
'details' => [
'price' => [
'amount' => 1
],
'bedrooms' => 25,
'bathrooms' => 25,
'property_type' => '<string>',
'floor_area_sqm' => 50000,
'available_from' => '2023-12-25',
'pets_allowed' => true,
'minimum_term_months' => 60,
'deposit' => [
'amount' => 1
]
],
'portal_ids' => [
'daft' => '<string>',
'myhome' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.signalproptech.com/api/v1/partner/listings"
payload := strings.NewReader("{\n \"ref\": \"<string>\",\n \"address\": \"<string>\",\n \"updated_at\": \"2023-11-07T05:31:56Z\",\n \"postcode\": \"<string>\",\n \"branch_code\": \"<string>\",\n \"details\": {\n \"price\": {\n \"amount\": 1\n },\n \"bedrooms\": 25,\n \"bathrooms\": 25,\n \"property_type\": \"<string>\",\n \"floor_area_sqm\": 50000,\n \"available_from\": \"2023-12-25\",\n \"pets_allowed\": true,\n \"minimum_term_months\": 60,\n \"deposit\": {\n \"amount\": 1\n }\n },\n \"portal_ids\": {\n \"daft\": \"<string>\",\n \"myhome\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.signalproptech.com/api/v1/partner/listings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ref\": \"<string>\",\n \"address\": \"<string>\",\n \"updated_at\": \"2023-11-07T05:31:56Z\",\n \"postcode\": \"<string>\",\n \"branch_code\": \"<string>\",\n \"details\": {\n \"price\": {\n \"amount\": 1\n },\n \"bedrooms\": 25,\n \"bathrooms\": 25,\n \"property_type\": \"<string>\",\n \"floor_area_sqm\": 50000,\n \"available_from\": \"2023-12-25\",\n \"pets_allowed\": true,\n \"minimum_term_months\": 60,\n \"deposit\": {\n \"amount\": 1\n }\n },\n \"portal_ids\": {\n \"daft\": \"<string>\",\n \"myhome\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.signalproptech.com/api/v1/partner/listings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ref\": \"<string>\",\n \"address\": \"<string>\",\n \"updated_at\": \"2023-11-07T05:31:56Z\",\n \"postcode\": \"<string>\",\n \"branch_code\": \"<string>\",\n \"details\": {\n \"price\": {\n \"amount\": 1\n },\n \"bedrooms\": 25,\n \"bathrooms\": 25,\n \"property_type\": \"<string>\",\n \"floor_area_sqm\": 50000,\n \"available_from\": \"2023-12-25\",\n \"pets_allowed\": true,\n \"minimum_term_months\": 60,\n \"deposit\": {\n \"amount\": 1\n }\n },\n \"portal_ids\": {\n \"daft\": \"<string>\",\n \"myhome\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"ref": "<string>",
"status": "available",
"applied": true
}{
"ref": "<string>",
"status": "available",
"applied": true
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Listings and new homes
Send a listing
One resale or letting listing. Send it again whenever it changes.
POST
/
listings
Send a listing
curl --request POST \
--url https://api.signalproptech.com/api/v1/partner/listings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ref": "<string>",
"address": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"postcode": "<string>",
"branch_code": "<string>",
"details": {
"price": {
"amount": 1
},
"bedrooms": 25,
"bathrooms": 25,
"property_type": "<string>",
"floor_area_sqm": 50000,
"available_from": "2023-12-25",
"pets_allowed": true,
"minimum_term_months": 60,
"deposit": {
"amount": 1
}
},
"portal_ids": {
"daft": "<string>",
"myhome": "<string>"
}
}
'import requests
url = "https://api.signalproptech.com/api/v1/partner/listings"
payload = {
"ref": "<string>",
"address": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"postcode": "<string>",
"branch_code": "<string>",
"details": {
"price": { "amount": 1 },
"bedrooms": 25,
"bathrooms": 25,
"property_type": "<string>",
"floor_area_sqm": 50000,
"available_from": "2023-12-25",
"pets_allowed": True,
"minimum_term_months": 60,
"deposit": { "amount": 1 }
},
"portal_ids": {
"daft": "<string>",
"myhome": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ref: '<string>',
address: '<string>',
updated_at: '2023-11-07T05:31:56Z',
postcode: '<string>',
branch_code: '<string>',
details: {
price: {amount: 1},
bedrooms: 25,
bathrooms: 25,
property_type: '<string>',
floor_area_sqm: 50000,
available_from: '2023-12-25',
pets_allowed: true,
minimum_term_months: 60,
deposit: {amount: 1}
},
portal_ids: {daft: '<string>', myhome: '<string>'}
})
};
fetch('https://api.signalproptech.com/api/v1/partner/listings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.signalproptech.com/api/v1/partner/listings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ref' => '<string>',
'address' => '<string>',
'updated_at' => '2023-11-07T05:31:56Z',
'postcode' => '<string>',
'branch_code' => '<string>',
'details' => [
'price' => [
'amount' => 1
],
'bedrooms' => 25,
'bathrooms' => 25,
'property_type' => '<string>',
'floor_area_sqm' => 50000,
'available_from' => '2023-12-25',
'pets_allowed' => true,
'minimum_term_months' => 60,
'deposit' => [
'amount' => 1
]
],
'portal_ids' => [
'daft' => '<string>',
'myhome' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.signalproptech.com/api/v1/partner/listings"
payload := strings.NewReader("{\n \"ref\": \"<string>\",\n \"address\": \"<string>\",\n \"updated_at\": \"2023-11-07T05:31:56Z\",\n \"postcode\": \"<string>\",\n \"branch_code\": \"<string>\",\n \"details\": {\n \"price\": {\n \"amount\": 1\n },\n \"bedrooms\": 25,\n \"bathrooms\": 25,\n \"property_type\": \"<string>\",\n \"floor_area_sqm\": 50000,\n \"available_from\": \"2023-12-25\",\n \"pets_allowed\": true,\n \"minimum_term_months\": 60,\n \"deposit\": {\n \"amount\": 1\n }\n },\n \"portal_ids\": {\n \"daft\": \"<string>\",\n \"myhome\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.signalproptech.com/api/v1/partner/listings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ref\": \"<string>\",\n \"address\": \"<string>\",\n \"updated_at\": \"2023-11-07T05:31:56Z\",\n \"postcode\": \"<string>\",\n \"branch_code\": \"<string>\",\n \"details\": {\n \"price\": {\n \"amount\": 1\n },\n \"bedrooms\": 25,\n \"bathrooms\": 25,\n \"property_type\": \"<string>\",\n \"floor_area_sqm\": 50000,\n \"available_from\": \"2023-12-25\",\n \"pets_allowed\": true,\n \"minimum_term_months\": 60,\n \"deposit\": {\n \"amount\": 1\n }\n },\n \"portal_ids\": {\n \"daft\": \"<string>\",\n \"myhome\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.signalproptech.com/api/v1/partner/listings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ref\": \"<string>\",\n \"address\": \"<string>\",\n \"updated_at\": \"2023-11-07T05:31:56Z\",\n \"postcode\": \"<string>\",\n \"branch_code\": \"<string>\",\n \"details\": {\n \"price\": {\n \"amount\": 1\n },\n \"bedrooms\": 25,\n \"bathrooms\": 25,\n \"property_type\": \"<string>\",\n \"floor_area_sqm\": 50000,\n \"available_from\": \"2023-12-25\",\n \"pets_allowed\": true,\n \"minimum_term_months\": 60,\n \"deposit\": {\n \"amount\": 1\n }\n },\n \"portal_ids\": {\n \"daft\": \"<string>\",\n \"myhome\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"ref": "<string>",
"status": "available",
"applied": true
}{
"ref": "<string>",
"status": "available",
"applied": true
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Authorizations
Body
application/json
One resale or letting listing, as your system holds it. Send the whole record each time: a field you leave out is cleared.
available: on the market. sale_agreed / let_agreed: agreed but not completed. sold / let: completed. withdrawn: taken off the market. Anything but available stops Signal starting new conversations about it. Sales use sale_agreed / sold; lettings use let_agreed / let.
Available options:
available, sale_agreed, sold, let_agreed, let, withdrawn Response
Updated, or ignored because we already held a newer version (see applied).
What Signal did with a listing you sent.